curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/issuing/cards/arts \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/issuing/cards/arts"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/issuing/cards/arts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"default_card_art_id": "01KD52BKQWDMFF63R1NNQN7A79",
"card_arts": [
{
"card_art_id": "01KD52BKQWDMFF63R1NNQN7A79",
"description": "Premium Black",
"is_default": true,
"is_system_config": false
}
]
}List Card Arts
Returns the card arts available to the issuing account. The list combines the channel’s system-default card art and any card arts bound to the account or its master account.
Use this endpoint to populate a card-art picker before creating or updating a card.
Authorizations
The API token for login provided by UQPAY.
Headers
Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts endpoint. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.
Query Parameters
Filter the results to the card arts available for this card product. Omit to return all card arts available to the account.
"467e993f-317a-49fc-9ea0-bf49de7d1f76"
Response
Card arts retrieved successfully.
The issuing account's current default card art. A Create Card call that omits card_art_id uses this value.
"01KD52BKQWDMFF63R1NNQN7A79"
Card arts available to the issuing account, ordered with the default first, then system-configured arts, then account-bound arts.
Show child attributes
Show child attributes

